Page MenuHomePhabricator

Support filtering log events by level in $wgDebugLogGroups
Closed, ResolvedPublic

Description

Logging changes like the ones proposed in https://gerrit.wikimedia.org/r/#/c/174452 will introduce the use of a single log channel (logGroup) with varying severity levels. To accompany this MWLoggerLegacyLogger should be able to be configured to only log events of a given level or higher. Since $wgDebugLogGroups already supports the concept of a log group being associated with an array of configuration settings it should be trivial to introduce a 'level' setting that describes the minimum level to emit.

As an associated follow up, the WMF Monolog configuration should also use this level to configure the native level based filtering of most Monolog handlers.

Event Timeline

bd808 created this task.Dec 20 2014, 11:37 PM
bd808 raised the priority of this task from to Medium.
bd808 updated the task description. (Show Details)
bd808 changed Security from none to None.
bd808 added a subscriber: bd808.

Change 182131 had a related patch set uploaded (by Legoktm):
Implement support for a minimum log level in $wgDebugLogGroups

https://gerrit.wikimedia.org/r/182131

Patch-For-Review

Legoktm claimed this task.Dec 30 2014, 1:51 AM
Legoktm moved this task from Untriaged to Needs Review on the Librarization board.
Legoktm moved this task from Backlog to Needs Review/Feedback on the MediaWiki-Core-Team board.
bd808 moved this task from Needs Review to Done on the Librarization board.Dec 31 2014, 6:20 PM

Change 182131 merged by jenkins-bot:
Implement support for a minimum log level in $wgDebugLogGroups

https://gerrit.wikimedia.org/r/182131

bd808 closed this task as Resolved.Dec 31 2014, 9:41 PM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Jan 5 2015, 10:17 PM